/*
Theme Name: WP狙擊手子主題
Theme URI: https://www.wpsniper.tw/
Template: Divi
Author:  WP狙擊手
Author URI: https://www.wpsniper.tw/
Description: Divi子主題
Version: 2018-01-31

*/
body {
    font-family: "Helvetica Neue", Helvetica, "Microsoft JhengHei", 微軟正黑體, 微软雅黑, sans-serif !important;
    font-weight: 400;
    font-style: normal;
}
/*--社群登入標題隱藏 --*/
form.woocommerce-EditAccountForm.edit-account h3:first-child {
    display: none !important;
}
/*-----------------------------------------------
/* Menu Cart
/*---------------------------------------------*/
.et-cart-info span:before {
    margin-right: 3px !important;
}
.yide-menu-cart-total {
    display: none;
}

.yide-menu-cart-count {
    display: inline-block;
    position: relative;
    color: #fff;
    font-size: 13px;
    line-height: 1;
    font-weight: 600;
    padding: 3px 5px;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    -ms-border-radius: 2px;
    border-radius: 2px;
    background-color: #333;
}

.yide-menu-cart-count:before {
    content: '';
    position: absolute;
    top: 0;
    left: -3px;
    width: 0;
    height: 0;
    margin-top: 4px;
    border-style: solid solid solid none;
    border-width: 5px 5px 5px medium;
    border-top-color: transparent!important;
    border-bottom-color: transparent!important;
    border-color: #333;
}
/*-----------------------------------------------
/* Menu Show Role Name
/*---------------------------------------------*/
.yide-show-role-name {
    font-size: 18px;
    color: #622b02;
	padding-left:10px
}
/*-----------------------------------------------
/* Contact form 7 by https://wp.me/p7uXSl-jb
/*---------------------------------------------*/
/* Styling CF7 to look like the Divi Contact Form */

.wpcf7 p label{
	font-size: 18px;
	color: #444444 !important;
	
	
}
.wpcf7-text, .wpcf7-textarea, .wpcf7-captchar {
	background-color: #ffffff !important;
	border: none !important;
	width: 100%;
	-moz-border-radius: 0 !important;
	-webkit-border-radius: 0 !important;
	border-radius: 3px !important;
	font-size: 16px;
	color: #444444 !important;
	padding: 10px !important;
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}
.wpcf7-submit {
	color:#444444;
	border-color: #f9da84 !important;
	margin: 8px auto 0;
	cursor: pointer;
	font-size: 20px;
	font-weight: 500;
	-moz-border-radius: 3px;
	-webkit-border-radius: 3px;
	border-radius: 3px;
	padding: 6px 20px;
	line-height: 1.7em;
	background: transparent;
	border: 2px solid;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	-moz-transition: all 0.2s;
	-webkit-transition: all 0.2s;
	transition: all 0.2s;
}
.wpcf7-submit:hover {
	color: #444444 !important;
	background-color: #f9da84;
	border-color: #009944;
	padding: 6px 20px !important;
}

.wpcf7-label,.wpcf7-select {
font-size: 18px;
}

@media (max-width:568px){
	.wpcf7-select {
font-size: 12px;
}
}

/*-----------------------------------------------
/* Contact form 7 by Divi https://www.elegantthemes.com/blog/?p=17895
/*---------------------------------------------*/
.wpcf7 {
	/*background-color: #F0F0F0;
	border: 3px solid #666666;*/
    width: 82%;
    /*margin: auto !important;*/
}
.wpcf7-form {
	/*margin-left: 25px;*/
	margin-right: 25px;
	margin-top: 25px;
}
/*
.wpcf7-textarea {
	width: 85%;
}*/
.wpcf7-text {
	width: 43%;
}
.wpcf7 input {
	margin-bottom: 19px;
}

/*首頁最新消息效果*/
.mo-mo:hover{
 transform:scale(1.1,1.1);
 transition:transform 0.25s ease;
            }

/*首頁產品介紹效果*/
.pro-mo:hover{
 transform:scale(1.1,1.1);
 transition:transform 0.9s ease;
            }

/*sidebar效果*/
.sidebar-color .menu-item:hover{
 background-color:#f9da84;
}

/*top-menu效果*/
#top-menu .sub-menu a:hover{
	 background-color:#f9da84;
}

/*
https://divibooster.com/removing-the-divi-header-bottom-border/
加上自訂CSS
*/
header#main-header.et-fixed-header, #main-header{
	-webkit-box-shadow:none !important;
	-moz-box-shadow:none !important;
	box-shadow:none !important;
}

/*shop更改*/
#main-content{
	background-color:#f9f4e8;
}
#left-area .products li{
	border-width:0px;
}
#payment ul,#payment .place-order{
	background-color:#f9f4e8;
}

/*購物車、結帳頁按鈕字體加大*/
button#place_order,a.checkout-button.button.alt.wc-forward {
    font-size: 18px;
}


/*行動版購物車圖示*/
@media (max-width: 979px){
.et_header_style_centered #et-top-navigation .et-cart-info	{
	display:inline;
	float:right;
	margin-right:40px;
}
	.yide-menu-cart-count{
margin-right:-110%;
	}	
}

/* 頁面、商品頁麵包屑隱藏 */
.post-type-archive .ds_dbreadcrumbs_create_div
,.page .ds_dbreadcrumbs_create_div
,.single-product .ds_dbreadcrumbs_create_div{
    display:none;
}

/* 商品折扣價的原價更明顯 */
.price del{
    font-size:20px !important;
    font-weight:600;
}

/* 結帳頁-圖片調整 */
.pay-img {
    margin-left: -15px;
    padding-top: 20px;
}


/*-- 隱藏商品折扣圖示 --*/
.product .onsale,.single-product .onsale {
    display: none;
}